import request from '@/utils/request'
export function fetchList(params) {
  return request({
    url:'/umsCompany/dt/list',
    method:'get',
    params:params
  })
}
export function createCompany(data) {
  return request({
    url:'/umsCompany/info/add',
    method:'put',
    data:data
  })
}


export function deleteCompany(id) {
  return request({
    url:'/umsCompany/info/delete?'+id,
    method:'get',
  })
}

export function getCompany(id) {
  return request({
    url:'/umsCompany/dt/detail?compId='+id,
    method:'get',
  })
}

export function updateCompany(id,data) {
  return request({
    url:'/umsCompany/info/update?compId='+id,
    method:'put',
    data:data
  })
}

